<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

    <th:block th:fragment="content">

        <h1 class="mt-4">공연장 정보 수정</h1>
		
		<!-- enctype 속성을 추가해야 파일스트림이 전달됨 -->
        <form enctype="multipart/form-data">
        
        <div class="form-group">
            <label >공연장번호</label>
            <input type="text" class="form-control" name="no" th:value="${dto.no}" readonly >
        </div>

        <div class="form-group">
            <label >공연장이름</label>
            <input type="text" class="form-control" name="showstageName" th:value="${dto.showstageName}"  >
        </div>
        <div class="form-group">
            <label >주소</label>
            <input type="text" class="form-control" name="address" th:value="${dto.address}"  >
        </div>
        <div class="form-group">
            <label >신주소</label>
            <input type="text" class="form-control" name="newAddress" th:value="${dto.newAddress}"  >
        </div>
        <div class="form-group">
            <label >홈페이지</label>
            <input type="text" class="form-control" name="site" th:value="${dto.site}" >
        </div>
        <div class="form-group">
            <label >전화번호</label>
            <input type="text" class="form-control" name="phoneNumber" th:value="${dto.phoneNumber}">
        </div>
                <div class="form-group">
            <label >운영시간</label>
            <input type="text" class="form-control" name="opentime" th:value="${dto.opentime}" >
        </div>
                <div class="form-group">
            <label >휴무일</label>
            <input type="text" class="form-control" name="restday" th:value="${dto.restday}" >
        </div>
                <div class="form-group">
            <label >그 외 정보안내</label>
            <input type="text" class="form-control" name="description" th:value="${dto.description}" >
        </div>
        <div class="form-group">
            <label >등록일</label>
            <input type="text" class="form-control" th:value="${#temporals.format(dto.regDate, 'yyyy/MM/dd HH:mm:ss')}" readonly>
        </div>
        <div class="form-group">
            <label >수정일</label>
            <input type="text" class="form-control" th:value="${#temporals.format(dto.modDate, 'yyyy/MM/dd HH:mm:ss')}" readonly>
        </div>
        
        <!-- 첨부파일 입력필드 추가 -->
        <div class="form-group">
		<label>첨부파일</label>
		<input type="file" class="form-control" name="uploadfile"/>
		</div>

        </form>

        <button style="margin-top:20px;" type="button" class="btn btn-primary modifyBtn">수정</button>

        <button style="margin-top:20px;"type="button" class="btn btn-info listBtn">목록으로</button>

        <button style="margin-top:20px;"type="button" class="btn btn-danger removeBtn">삭제</button>

        <script th:inline="javascript">

        	var form = $("form"); //form 태그 객체

            $(".modifyBtn").click(function() {
                if(!confirm("수정하시겠습니까?")){
                    return ;
                }

                form
                    .attr("action", "/showstage/modify")
                    .attr("method","post")
                    .submit();
            });

            $(".listBtn").click(function() {
                form
                    .attr("action", "/showstage/list")
                    .attr("method","get")
              		.submit();
            })

            $(".removeBtn").click(function(){
            	form
                    .attr("action", "/showstage/remove")
                    .attr("method","post")
                    .submit();
            });

        </script>


    </th:block>

</th:block>
